--- old/usr/src/uts/common/sys/fs/dv_node.h	Tue Jul  3 21:12:52 2018
+++ new/usr/src/uts/common/sys/fs/dv_node.h	Tue Jul  3 21:12:52 2018
@@ -18,11 +18,16 @@
  *
  * CDDL HEADER END
  */
+
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2018 Nexenta Systems, Inc.
+ */
+
 #ifndef _SYS_DV_NODE_H
 #define	_SYS_DV_NODE_H
 
@@ -110,6 +115,7 @@
 #define	DV_CLEAN_FORCE	0x01	/* force clean of refed directories */
 #define	DV_RESET_PERM	0x02	/* force resetting of node permission */
 #define	DV_CLEANDIR_LCK	0x04	/* dv_contents already held */
+#define	DV_DEVI_GONE	0x08	/* force clean of refed files */
 
 struct devfs_data {
 	struct	dv_node	*devfs_root;
@@ -139,13 +145,13 @@
 #define	VATTR_MP_MERGE(attr, mp)				\
 	attr.va_uid = mp.mp_uid;				\
 	attr.va_gid = mp.mp_gid;				\
-	attr.va_mode = 						\
+	attr.va_mode =						\
 	    (attr.va_mode & ~S_IAMB) | (mp.mp_mode & S_IAMB);
 
 #define	VATTRP_MP_MERGE(attrp, mp)				\
 	attrp->va_uid = mp.mp_uid;				\
 	attrp->va_gid = mp.mp_gid;				\
-	attrp->va_mode = 					\
+	attrp->va_mode =					\
 	    (attrp->va_mode & ~S_IAMB) | (mp.mp_mode & S_IAMB);
 
 /*
